/*	Public domain	*/

typedef struct sk_point {
	struct sk_node node;
	Uint flags;
	M_Real size;			/* Display size in pixels */
	M_Color color;			/* Display color */
} SK_Point;

#define SKPOINT(n) ((SK_Point *)(n))

__BEGIN_DECLS
extern SK_NodeOps skPointOps;

SK_Point	*SK_PointNew(void *);
void		 SK_PointInit(void *, Uint);
int		 SK_PointLoad(SK *, void *, AG_DataSource *);
int		 SK_PointSave(SK *, void *, AG_DataSource *);
void		 SK_PointDraw(void *, struct sk_view *);
void		 SK_PointDrawAbsolute(void *, struct sk_view *);
void		 SK_PointEdit(void *, struct ag_widget *, struct sk_view *);
M_Real		 SK_PointProximity(void *, const M_Vector3 *, M_Vector3 *);
int		 SK_PointDelete(void *);
int		 SK_PointMove(void *, const M_Vector3 *, const M_Vector3 *);
SK_Status	 SK_PointConstrained(void *);

void		 SK_PointSize(SK_Point *, M_Real);
void		 SK_PointColor(SK_Point *, M_Color);
__END_DECLS
